# $Id$
# Authority: dag

%define _without_minit 1

%define	username	dhcp-fwd
%define homedir		%_var/lib/%username
%define minitdir	%_sysconfdir/minit
%define minitsvcdir	%minitdir/services/dhcp-fwd
%define service		dhcp-fwd

Summary: DHCP relay agent
Name: dhcp-forwarder
Version: 0.7
Release: 1.rf
License: GPL
Group: System Environment/Daemons
URL: http://www.tu-chemnitz.de/~ensc/dhcp-fwd/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.tu-chemnitz.de/~ensc/dhcp-fwd/files/dhcp-forwarder-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%{!?_without_dietlibc:BuildRequires: dietlibc}

Requires(pre): /usr/sbin/groupadd, /usr/sbin/useradd
Requires(postun): /usr/sbin/groupdel, /usr/sbin/userdel

%description
dhcp-fwd forwards DHCP messages between subnets with different sublayer
broadcast domains. It is similar to the DHCP relay agent dhcrelay of
ISC's DHCP, but has the following important features:

* Runs as non-root in a chroot-environment
* Uses AF_INET sockets which makes it possible to filter incoming
  messages with packetfilters
* The DHCP agent IDs can be defined freely
* Has a small memory footprint when using dietlibc

%prep
%setup

%build
%configure \
	--enable-release \
        --with-initrddir="%{_initrddir}" \
%{?_without_dietlibc:--disable-dietlibc}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%{__make} install install-contrib \
	DESTDIR="%{buildroot}"
%{__install} -d -m0700 %{buildroot}%homedir

%clean
%{__rm} -rf %{buildroot}

%pre
%groupadd -r %username &>/dev/null || :
%useradd  -r -s /sbin/nologin -M -c 'DHCP Forwarder user'	\
	  -d %homedir -g %username %username &>/dev/null || :


%postun
if test "$1" = "0"; then
	%userdel  %username &>/dev/null || :
	%groupdel %username &>/dev/null || :
fi
test "$1" = 0 || %_initrddir/%service condrestart &>/dev/null


%post
/sbin/chkconfig --add %service

%preun
if test "$1" = "0"; then
	%_initrddir/%service stop >/dev/null
	/sbin/chkconfig --del %service
fi

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/dhcp-fwd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config %{_initrddir}/*
%{_sbindir}/*
%homedir

%changelog
* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 0.7-1
- Initial package. (using DAR)
